Bug 191085

Summary: CVE-2006-2224 Quagga RIPd route injection
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: quaggaAssignee: Jay Fenlason <fenlason>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: jfeeney
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,source=cve,public=20060503,reported=20060505
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-07-24 14:14:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Bressers 2006-05-08 18:52:57 UTC
Quagga RIPd route injection

RIPd in Quagga accepts RIPv1 RESPONSE when RIPv2 authentication is         enabled. This condition is possible unless RIPv2 only is specified in
the RIPd configuration.  This flaw could allow a remote attacker to
inject a route via RIPv1 RESPONSE packets.

http://bugzilla.quagga.net/show_bug.cgi?id=262


This issue also affects FC4

Comment 1 Fedora Update System 2006-07-22 19:01:06 UTC
quagga-0.98.6-1.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.